## ros-one-nodelet-tutorial-math 0.2.0-2jammy.20251023.0046

=== debian/changelog ===
ros-one-nodelet-tutorial-math (0.2.0-2jammy.20251023.0046) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 00:46:46 +0000

ros-one-nodelet-tutorial-math (0.2.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 00:46:46 -0000

ros-one-nodelet-tutorial-math (0.1.11-0jammy) jammy; urgency=high

  * update to use new pluginlib macros

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Mar 2018 00:00:00 -0000

ros-one-nodelet-tutorial-math (0.1.8-0jammy) jammy; urgency=high

  * update package maintainer.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

## ros-one-nodelet-tutorial-math 0.2.0-2jammy.20260220.2144

=== debian/changelog ===
ros-one-nodelet-tutorial-math (0.2.0-2jammy.20260220.2144) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 20 Feb 2026 21:44:27 +0000

## ros-one-nodelet-tutorial-math 0.2.0-2noble.20251023.0045

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(nodelet_tutorial_math)

find_package(catkin REQUIRED COMPONENTS nodelet roscpp std_msgs)

## Setup include directories
include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  LIBRARIES nodelet_math
  CATKIN_DEPENDS nodelet roscpp std_msgs
)

## Create the nodelet tutorial library
add_library(nodelet_math src/plus.cpp)
target_link_libraries(nodelet_math ${catkin_LIBRARIES})
if(catkin_EXPORTED_LIBRARIES)
  add_dependencies(nodelet_math ${catkin_EXPORTED_LIBRARIES})
endif()

## Mark the nodelet library for installations
install(TARGETS nodelet_math
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES nodelet_math.xml plus.launch plus_default.yaml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-nodelet-tutorial-math (0.2.0-2noble.20251023.0045) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 00:45:17 +0000

ros-one-nodelet-tutorial-math (0.2.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 00:45:17 -0000

ros-one-nodelet-tutorial-math (0.1.11-0noble) noble; urgency=high

  * update to use new pluginlib macros

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Mar 2018 00:00:00 -0000

ros-one-nodelet-tutorial-math (0.1.8-0noble) noble; urgency=high

  * update package maintainer.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-nodelet-tutorial-math
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-nodelet, ros-one-roscpp, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/nodelet_tutorial_math
Standards-Version: 3.9.2

Package: ros-one-nodelet-tutorial-math
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-nodelet, ros-one-roscpp, ros-one-std-msgs
Description: Package for Nodelet tutorial.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-nodelet-tutorial-math//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-nodelet-tutorial-math 0.2.0-2noble.20260220.2151

=== debian/changelog ===
ros-one-nodelet-tutorial-math (0.2.0-2noble.20260220.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 20 Feb 2026 21:51:28 +0000
